CVE-2018-11039

Priority
Description
Spring Framework (versions 5.0.x prior to 5.0.7, versions 4.3.x prior to
4.3.18, and older unsupported versions) allow web applications to change
the HTTP request method to any HTTP method (including TRACE) using the
HiddenHttpMethodFilter in Spring MVC. If an application has a pre-existing
XSS vulnerability, a malicious user (or attacker) can use this filter to
escalate to an XST (Cross Site Tracing) attack.
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needs-triage
Ubuntu 16.04 LTS (Xenial Xerus):needs-triage
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (4.3.19-1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (4.3.19-1)
Ubuntu 19.04 (Disco Dingo):not-affected (4.3.19-1)
Ubuntu 19.10 (Eoan):not-affected (4.3.19-1)
More Information

Updated: 2019-06-20 18:14:18 UTC (commit 5727f83d48d261fc8b953657bbeaec26f6542b3f)